Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.usermodel
Class LineSpacingRule

    java.lang.Object
      org.apache.poi.xwpf.usermodel.LineSpacingRule

    public class LineSpacingRule

extends java.lang.Object

Specifies the logic which shall be used to calculate the line spacing of the parent object when it is displayed in the document.

Author:
  Gisella Bronzetti

Field Summary
`static LineSpacingRule` | `AT_LEAST` Specifies that the height of the line shall be at least the value specified, but may be expanded to fit its content as needed.
`static LineSpacingRule` | `AUTO` Specifies that the line spacing of the parent object shall be automatically determined by the size of its contents, with no predetermined minimum or maximum size.
`static LineSpacingRule` | `EXACT` Specifies that the height of the line shall be exactly the value specified, regardless of the size of the contents If the contents are too large for the specified height, then they shall be clipped as necessary.

Method Summary
`int` | `getValue()`
`static LineSpacingRule` | `valueOf(int type)`
`static LineSpacingRule[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTO

    public static final LineSpacingRule AUTO

  Specifies that the line spacing of the parent object shall be automatically determined by the size of its contents, with no predetermined minimum or maximum size.

### EXACT

    public static final LineSpacingRule EXACT

  Specifies that the height of the line shall be exactly the value specified, regardless of the size of the contents If the contents are too large for the specified height, then they shall be clipped as necessary.

### AT_LEAST

    public static final LineSpacingRule AT_LEAST

  Specifies that the height of the line shall be at least the value specified, but may be expanded to fit its content as needed.

Method Detail

### getValue

    public int getValue()

### values

    public static LineSpacingRule[] values()

### valueOf

    public static LineSpacingRule valueOf(int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD